SUSE Security Update: Security update for storm
______________________________________________________________________________

Announcement ID:    SUSE-SU-2021:4096-1
Rating:             critical
References:         #1193611 #1193641 #1193662 
Cross-References:   CVE-2021-4104 CVE-2021-44228
CVSS scores:
                    CVE-2021-4104 (SUSE): 6.4 CVSS:3.1/AV:L/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:H
                    CVE-2021-44228 (NVD) : 10 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H
                    CVE-2021-44228 (SUSE): 9.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Affected Products:
                    SUSE OpenStack Cloud Crowbar 8
                    SUSE OpenStack Cloud 8
                    HPE Helion Openstack 8
______________________________________________________________________________

   An update that solves two vulnerabilities and has one
   errata is now available.

Description:

   This update for storm fixes the following issues:

   - Remove JndiLookup from log4j 2.x jars during build to prevent
     "log4shell" code injection. (bsc#1193641, bsc#1193611, CVE-2021-44228)
   - Remove JMSAppender from log4j 1.2.x jars during build to prevent attacks
     when JMS is enabled (bsc#1193641, bsc#1193662, CVE-2021-4104)


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE OpenStack Cloud Crowbar 8:

      zypper in -t patch SUSE-OpenStack-Cloud-Crowbar-8-2021-4096=1

   - SUSE OpenStack Cloud 8:

      zypper in -t patch SUSE-OpenStack-Cloud-8-2021-4096=1

   - HPE Helion Openstack 8:

      zypper in -t patch HPE-Helion-OpenStack-8-2021-4096=1



Package List:

   - SUSE OpenStack Cloud Crowbar 8 (x86_64):

      storm-1.2.3-3.8.2
      storm-nimbus-1.2.3-3.8.2
      storm-supervisor-1.2.3-3.8.2

   - SUSE OpenStack Cloud 8 (noarch):

      venv-openstack-monasca-x86_64-2.2.2~dev1-11.32.1

   - SUSE OpenStack Cloud 8 (x86_64):

      storm-1.2.3-3.8.2
      storm-nimbus-1.2.3-3.8.2
      storm-supervisor-1.2.3-3.8.2

   - HPE Helion Openstack 8 (noarch):

      venv-openstack-monasca-x86_64-2.2.2~dev1-11.32.1

   - HPE Helion Openstack 8 (x86_64):

      storm-1.2.3-3.8.2
      storm-nimbus-1.2.3-3.8.2
      storm-supervisor-1.2.3-3.8.2


References:

   https://www.suse.com/security/cve/CVE-2021-4104.html
   https://www.suse.com/security/cve/CVE-2021-44228.html
   https://bugzilla.suse.com/1193611
   https://bugzilla.suse.com/1193641
   https://bugzilla.suse.com/1193662